#! /bin/sh

# Pfade
sd="./bin/sd-card-basic"
sd_sys="./bin/sd-card-basic/SYSTEM"
flash="./bin/flash"
libpath="../ParallaxLib"
bstpath="../BST"
bstc=$bstpath"/bstc.linux"

# ----------------------------------------------------------------
# Flashdateien erzeugen
# --> bin/flash/

$bstc -L $libpath -b -O a ./flash/administra/admflash.spin
mv admflash.binary $flash
$bstc -L $libpath -b -O a ./flash/bellatrix/belflash.spin
mv belflash.binary $flash
$bstc -L $libpath -b -O a ./flash/regnatix/regflash.spin
mv regflash.binary $flash



# ----------------------------------------------------------------
# Startdateien erzeugen
# reg.sys	(Regime)
# bel.sys	(VGA)
# --> bin/sd-card-basic/

$bstc -L $libpath -b -O a ./system/regnatix/regime.spin
mv regime.binary $sd"/reg.sys"

$bstc -L $libpath -b -O a ./system/bellatrix/vga-text-1024x768-pix-64x24-zeichen/vga.spin
mv vga.binary $sd"/bel.sys"

# ----------------------------------------------------------------
# Systemdateien erzeugen
# - div. externe Kommandos
# - div. Systemdateien (Farbtabellen usw.)
# --> bin/sd-card-basic/SYSTEM/

$bstc -L $libpath -b -O a ./system/regnatix/admtest.spin
mv admtest.binary $sd_sys"/admtest.bin"

$bstc -L $libpath -b -O a ./system/regnatix/basic.spin
mv basic.binary $sd_sys"/basic.bin"

$bstc -L $libpath -b -O a ./system/regnatix/beltest.spin
mv beltest.binary $sd_sys"/beltest.bin"

$bstc -L $libpath -b -O a ./system/regnatix/charmap.spin
mv charmap.binary $sd_sys"/charmap.bin"

$bstc -L $libpath -b -O a ./system/regnatix/eram.spin
mv eram.binary $sd_sys"/eram.bin"

$bstc -L $libpath -b -O a ./system/regnatix/hplay.spin
mv hplay.binary $sd_sys"/hplay.bin"

$bstc -L $libpath -b -O a ./system/regnatix/keycode.spin
mv keycode.binary $sd_sys"/keycode.bin"

$bstc -L $libpath -b -O a ./system/regnatix/ramtest.spin
mv ramtest.binary $sd_sys"/ramtest.bin"

$bstc -L $libpath -b -O a ./system/regnatix/sfxtool.spin
mv sfxtool.binary $sd_sys"/sfxtool.bin"

$bstc -L $libpath -b -O a ./system/regnatix/splay.spin
mv splay.binary $sd_sys"/splay.bin"

$bstc -L $libpath -b -O a ./system/regnatix/sysconf.spin
mv sysconf.binary $sd_sys"/sysconf.bin"

$bstc -L $libpath -b -O a ./system/regnatix/wplay.spin
mv wplay.binary $sd_sys"/wplay.bin"

$bstc -L $libpath -b -O a ./system/regnatix/yplay.spin
mv yplay.binary $sd_sys"/yplay.bin"

# ----------------------------------------------------------------
# Zusatzdateien kopieren

cp ./system/sonstiges/*.* $sd_sys

